Retrieve presentation session result
Analytics Events
/v2/presentations/sessions/{sessionId}/resultRetrieves the result of an online presentation session by providing the session's ID.
Analytic events
- CREDENTIAL_PRESENTATION_SESSION_RESULT_RETRIEVE_START
- CREDENTIAL_PRESENTATION_SESSION_RESULT_RETRIEVE_SUCCESS
- CREDENTIAL_PRESENTATION_SESSION_RESULT_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Session ID
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/presentations/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/result"{
"sessionId": "string",
"challenge": "string",
"credentialQuery": [
{}
],
"credentials": [
{
"docType": "string",
"validityInfo": {
"signed": "string",
"validFrom": "string",
"validUntil": "string",
"expectedUpdate": "string"
},
"claims": {},
"claimErrors": {},
"branding": {
"name": "Example Branding",
"description": "Example Branding Description",
"backgroundColor": "#FFFFFF",
"watermarkImage": {
"format": "svg",
"data": "aWNvbg=="
},
"issuerLogo": {
"format": "svg",
"data": "aWNvbg=="
},
"issuerIcon": {
"format": "svg",
"data": "aWNvbg=="
}
},
"issuerInfo": {
"commonName": "string",
"trustedIssuerId": "string"
},
"verificationResult": {
"verified": true,
"reason": {
"type": "string",
"message": "string"
}
},
"ecosystemValidation": {
"validated": true,
"policyVersion": "string",
"failReasons": [
{
"type": "string",
"message": "string"
}
],
"error": {
"type": "string",
"message": "string"
}
}
}
],
"credentialErrors": [
{
"docType": "string",
"errorCode": "string"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a wallet provider DELETE
Deletes an existing wallet provider that can present mDocs for online verification. ### **Analytic events** * PRESENTATION_WALLET_PROVIDER_DELETE_START * PRESENTATION_WALLET_PROVIDER_DELETE_SUCCESS * PRESENTATION_WALLET_PROVIDER_DELETE_FAIL
Verify a CWT credential POST
Verify a CWT credential by providing the encoded payload and specifying verification options. You can provide a valid CWT credential as either an encoded string or a QR code in a PDF document or an image file. Standard checks performed on all verification requests: - Conformance of the string and encoded data. All string representations of CWT credentials must be prefixed with `CSC/1`. - Decoded payload structure is a valid CWT credential. - Issuer DID can be used to resolve its `did.json` document. - Public key from issuer's `did.json` document validates the proof signature, confirming the credential has not been tampered with. Optional parameter checks: - Credential was issued by a trusted issuer. - Current time is after the beginning of the credential validity period. - Current time is not after the end of the credential validity period. - Credential has not been revoked. ### **Analytic events** * CREDENTIAL_COMPACT_VERIFY_START * CREDENTIAL_COMPACT_VERIFY_SUCCESS * CREDENTIAL_COMPACT_VERIFY_FAIL